## org.eclipse.emf.cdo.spi.common.id
Class AbstractCDOIDInteger

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.id.AbstractCDOID
          org.eclipse.emf.cdo.spi.common.id.AbstractCDOIDInteger

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CDOID>, CDOID

    public abstract class AbstractCDOIDInteger

extends AbstractCDOID

Since:
  2.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`CDOID.Type`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`NULL`

Constructor Summary
`AbstractCDOIDInteger()`
`AbstractCDOIDInteger(int value)`

Method Summary
`int` `compareTo(AbstractCDOIDInteger that)`
`boolean` `equals(java.lang.Object obj)`
`int` `getIntValue()`
`int` `hashCode()`
`void` `read(org.eclipse.net4j.util.io.ExtendedDataInput in)`
`void` `read(java.lang.String fragmentPart)` Note: `CDOID.toURIFragment()` and `AbstractCDOID.read(String)` need to match.
`java.lang.String` `toString()`
`java.lang.String` `toURIFragment()`
`void` `write(org.eclipse.net4j.util.io.ExtendedDataOutput out)`

Methods inherited from class org.eclipse.emf.cdo.spi.common.id.AbstractCDOID
`compareTo, doCompareTo, isExternal, isMeta, isNull, isObject, isTemporary`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`getType`

Constructor Detail

### AbstractCDOIDInteger

    public AbstractCDOIDInteger()

### AbstractCDOIDInteger

    public AbstractCDOIDInteger(int value)

Method Detail

### getIntValue

    public int getIntValue()

### toURIFragment

    public java.lang.String toURIFragment()

### read

    public void read(java.lang.String fragmentPart)

  Description copied from class: `AbstractCDOID`
  Note: `CDOID.toURIFragment()` and `AbstractCDOID.read(String)` need to match.

  Specified by:
    `read` in class `AbstractCDOID`

### read

    public void read(org.eclipse.net4j.util.io.ExtendedDataInput in)
              throws java.io.IOException

  Specified by:
    `read` in class `AbstractCDOID`
  Throws:
    `java.io.IOException`

### write

    public void write(org.eclipse.net4j.util.io.ExtendedDataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in class `AbstractCDOID`
  Throws:
    `java.io.IOException`

### compareTo

    public int compareTo(AbstractCDOIDInteger that)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.